Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(338)

Unified Diff: third_party/pkg/angular/scripts/travis/build.sh

Issue 148453003: Updating Angular version (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/pkg/angular/scripts/travis/build.sh
diff --git a/third_party/pkg/angular/scripts/travis/build.sh b/third_party/pkg/angular/scripts/travis/build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9e22b96f40603a104108bc361f23208fbe8bc5a4
--- /dev/null
+++ b/third_party/pkg/angular/scripts/travis/build.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+. ./scripts/env.sh
+
+./scripts/generate-expressions.sh
+./scripts/analyze.sh
+
+./node_modules/jasmine-node/bin/jasmine-node ./scripts/changelog/
+
+./node_modules/jasmine-node/bin/jasmine-node playback_middleware/spec/ &&
+ node "node_modules/karma/bin/karma" start karma.conf \
+ --reporters=junit,dots --port=8765 --runner-port=8766 \
+ --browsers=Dartium,ChromeNoSandbox --single-run --no-colors --no-color
+
+./scripts/generate-documentation.sh
+
« no previous file with comments | « third_party/pkg/angular/scripts/test-expression-extractor.sh ('k') | third_party/pkg/angular/scripts/travis/setup.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698